.container {
    // border: 1px solid black;
    margin: 50px;

    .cards-container {
        margin: 0 15% 0 15%;

        .task-info-card {
            align-items: center;
            justify-content: center;
            height: 100px;
            width: 100%;
            border-radius: 10px;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            transition: box-shadow 0.3s ease;
        }

        .task-info-card:hover {
            box-shadow: 0 6px 8px rgba(0, 0, 0, 0.2);
        }

        .todo {
            background-color: #ffebae;
            align-items: center;
            justify-content: center;
        }

        .in-progress {
            background-color: #c0e3ff;
            align-items: center;
            justify-content: center;
        }

        .done {
            background-color: #ff9f9f;
            align-items: center;
            justify-content: center;
        }

        .mat-card-content {
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .mat-card-title {
            font-size: 24px;
            color: white;
            text-align: center;
            margin-top: 20px;
        }
    }

    .table-container {
        // border: 1px solid black;

        mat-card {
            margin: 2%;
        }

        input {
            height: 10px;
        }

        button {
            margin: 20px 0 20px 0;
        }


        th {
            background-color:rgb(47, 47, 47);
            color: white;
        }

        th, td {
            height: 20px;
        }

        .mat-column-title {
            width: 15%;
        }
        .mat-column-description {
            width: 55%;
        }

        .mat-column-status,
        .mat-column-action {
            width: 15%;
        }

        @media screen and (max-width: 600px) {

            .mat-column-status,
            .mat-column-action {
                width: 20%;
            }
        }
    }
}

.space-between {
    display: flex;
    justify-content: space-between;
}